: Class IO

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Util
Class IO

    java.lang.Object
      |
      +--com.mortbay.Util.ThreadPool
            |
            +--com.mortbay.Util.IO

public class IO
extends ThreadPool

IO Utilities Provides stream handling utilities in singleton Threadpool implementation accessed by static members.

Field Summary
`static int` | `bufferSize`

Constructor Summary
`IO()`

Method Summary
`static void` | `copy(java.io.InputStream in, java.io.OutputStream out)` Copy Stream in to Stream out until EOF or exception
`static void` | `copy(java.io.InputStream in, java.io.OutputStream out, long byteCount)` Copy Stream in to Stream for byteCount bytes or until EOF or exception
`static void` | `copy(java.io.Reader in, java.io.Writer out)` Copy Reader to Writer out until EOF or exception
`static void` | `copy(java.io.Reader in, java.io.Writer out, long byteCount)` Copy Reader to Writer for byteCount bytes or until EOF or exception
`static void` | `copyThread(java.io.InputStream in, java.io.OutputStream out)` Copy Stream in to Stream out until EOF or exception in own thread
`static void` | `copyThread(java.io.Reader in, java.io.Writer out)` Copy Stream in to Stream out until EOF or exception in own thread
`void` | `handle(java.lang.Object o)` Run copy for copyThread()
`static IO` | `instance()`

Methods inherited from class com.mortbay.Util.ThreadPool
`getMaxSize, getMinSize, getSize, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bufferSize

    public static int bufferSize

Constructor Detail

### IO

    public IO()

Method Detail

### instance

    public static IO instance()

### copyThread

    public static void copyThread(java.io.InputStream in,
                                  java.io.OutputStream out)

  Copy Stream in to Stream out until EOF or exception in own thread

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Copy Stream in to Stream out until EOF or exception

### copyThread

    public static void copyThread(java.io.Reader in,
                                  java.io.Writer out)

  Copy Stream in to Stream out until EOF or exception in own thread

### copy

    public static void copy(java.io.Reader in,
                            java.io.Writer out)
                     throws java.io.IOException

  Copy Reader to Writer out until EOF or exception

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out,
                            long byteCount)
                     throws java.io.IOException

  Copy Stream in to Stream for byteCount bytes or until EOF or exception

### copy

    public static void copy(java.io.Reader in,
                            java.io.Writer out,
                            long byteCount)
                     throws java.io.IOException

  Copy Reader to Writer for byteCount bytes or until EOF or exception

### handle

    public void handle(java.lang.Object o)

  Run copy for copyThread()
  Overrides:
    handle in class ThreadPool
  Tags copied from class: ThreadPool
  Parameters:
    `job` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD